Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.processor
Class ProcessorInclude

    java.lang.Object
      |
      +--org.apache.xml.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.processor.XSLTElementProcessor
                        |
                        +--org.apache.xalan.processor.ProcessorInclude

Direct Known Subclasses:
  ProcessorImport

public class ProcessorInclude
extends XSLTElementProcessor

TransformerFactory class for xsl:include markup.

See Also:
  XSLT DTD, include in XSLT Specification, Serialized Form
Usage:
  **For internal use only**

Constructor Summary
`ProcessorInclude()`

Method Summary
`java.lang.String` | `getHref()` Get the base identifier with which this stylesheet is associated.
`void` | `setHref(java.lang.String baseIdent)` Get the base identifier with which this stylesheet is associated.
`void` | `startElement(StylesheetHandler handler, java.lang.String uri, java.lang.String localName, java.lang.String rawName, Attributes attributes)` Receive notification of the start of an xsl:include element.

Methods inherited from class org.apache.xalan.processor.XSLTElementProcessor
`characters, endElement, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startNonText, unparsedEntityDecl`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, compose, containsExcludeResultPrefix, endCompose, error, error, execute, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeName, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, getXSLToken, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setPrefix, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessorInclude

    public ProcessorInclude()

Method Detail

### getHref

    public java.lang.String getHref()

  Get the base identifier with which this stylesheet is associated.
  Returns:
    non-null reference to the href attribute string, or null if setHref has not been called.

### setHref

    public void setHref(java.lang.String baseIdent)

  Get the base identifier with which this stylesheet is associated.
  Parameters:
    `baseIdent` - Should be a non-null reference to a valid URL string.

### startElement

    public void startElement(StylesheetHandler handler,
                             java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String rawName,
                             Attributes attributes)
                      throws SAXException

  Receive notification of the start of an xsl:include element.
  Parameters:
    `handler` - The calling StylesheetHandler/TemplatesBuilder.
    `uri` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `rawName` - The raw XML 1.0 name (with prefix), or the empty string if raw names are not available.
    `attributes` - The attributes attached to the element. If there are no attributes, it shall be an empty Attributes object.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  Overrides:
    startElement in class XSLTElementProcessor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.